Copilot Scraper
使用 scraper.copilot 可捕获 Microsoft Copilot 在 search、chat、reasoning 和 study 模式下生成的答案。该 actor 会返回 Markdown 格式的答案以及 Copilot 展示的每一条引用。
Request Example
curl 'https://api.scrapeless.com/api/v2/scraper/request' \
--header 'Content-Type: application/json' \
--header 'x-api-token: {you_api_key}' \
--data '{
"actor": "scraper.copilot",
"input": {
"prompt": "Recommended attractions in New York",
"country": "US",
"mode": "search"
},
"webhook": {
"url": "http://www.youwebhook.com"
}
}'Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
prompt | string | 是 | 发送给 Copilot 的提示词。 |
country | string | 是 | 国家或地区代码。 |
mode | string | 是 | 运行模式:search、smart、chat(Quick response)、reasoning(Think Deeper)或 study(Study and learn)。 |
should_fetch_share_link | boolean | 否 | 获取分享链接。 |
Response Fields
| Parameter | Type | Description |
|---|---|---|
result_text | string | Copilot 生成的 Markdown 正文。 |
prompt | string | 原始提示词。 |
mode | string | 所使用的模式:search、smart、chat、reasoning 或 study。 |
links | array | Copilot 返回的所有出站链接。 |
citations | array | 从响应中提取的引用对象。 |
citations.title | string | 被引用来源的标题。 |
citations.url | string | 被引用来源的 URL。 |
share_url | string | 分享链接。 |